Bug 52846 - Python interpreter seg fault on SMP machine
Summary: Python interpreter seg fault on SMP machine
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: python   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Trond Eivind Glomsrxd
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-08-29 22:39 UTC by Brian Barrett
Modified: 2007-04-18 16:36 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-13 23:22:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Brian Barrett 2001-08-29 22:39:13 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; SunOS 5.8 sun4u)

Description of problem:
When running the program:

#! /usr/bin/python
print 'Hello, world'

Python will reliably seg fault.  By reliably, I mean approximately 1/4th of
the time.

Examining the core file with gdb reveals the following stack trace:

(gdb) where
#0  __errno_location () at errno.c:25
#1  0x4013f4e7 in __readlink () from /lib/i686/libc.so.6
#2  0x0805018c in Py_Main () at eval.c:41
#3  0x0804fc73 in main () at eval.c:41
#4  0x40080177 in __libc_start_main (main=0x804fc54 <main>, argc=2, 
    ubp_av=0xbffff9d4, init=0x804f1ec <_init>, fini=0x8096a1c <_fini>, 
    rtld_fini=0x4000e184 <_dl_fini>, stack_end=0xbffff9cc)
    at ../sysdeps/generic/libc-start.c:129


The system is a dual P-III 1Ghz machine running RH 7.1 with the 2.4.3
kernel contained in the kernel-smp-2.4.3-12 kernel RPM.  All available 7.1
updates have been applied.

Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:
Repeatedly ran test program included in description
	

Additional info:

Comment 1 Trond Eivind Glomsrxd 2002-08-13 23:22:37 UTC
Not seeing this with RHL 7.3 or newer (which is all I've tested) - reopen with
details if you can reproduce.


Note You need to log in before you can comment on or make changes to this bug.